Update Depot Settings
Updates the depot settings using a VMware Depot account. If a trusted certificate chain is provided for an offline HTTPS depot configuration, each certificate in the chain is added to the appliance trust stores (VCF CS keystore and JVM cacerts). The certificates are also propagated to the OS trust store (/etc/ssl/certs) on the VMs.
{
"vmwareAccount": {
"username": "string",
"password": "string",
"status": "One among: DEPOT_UNKNOWN_HOST, DEPOT_NOT_AVAILABLE, DEPOT_USER_NOT_SET, DEPOT_INVALID_CREDENTIAL, UNKNOWN_FAILURE, DEPOT_CONNECTION_SUCCESSFUL",
"message": "string",
"downloadToken": "string",
"downloadActivationCode": "string"
},
"offlineAccount": {
"username": "string",
"password": "string",
"status": "One among: DEPOT_UNKNOWN_HOST, DEPOT_NOT_AVAILABLE, DEPOT_USER_NOT_SET, DEPOT_INVALID_CREDENTIAL, UNKNOWN_FAILURE, DEPOT_CONNECTION_SUCCESSFUL",
"message": "string",
"downloadToken": "string",
"downloadActivationCode": "string"
},
"depotConfiguration": {
"isOfflineDepot": false,
"hostname": "string",
"port": 0,
"url": "string",
"trustedCertificates": [
"string"
]
}
}
VMware Depot Account Information
VMware Depot Account Information
Depot Configuration
Accepted
{
"vmwareAccount": {
"username": "string",
"password": "string",
"status": "One among: DEPOT_UNKNOWN_HOST, DEPOT_NOT_AVAILABLE, DEPOT_USER_NOT_SET, DEPOT_INVALID_CREDENTIAL, UNKNOWN_FAILURE, DEPOT_CONNECTION_SUCCESSFUL",
"message": "string",
"downloadToken": "string",
"downloadActivationCode": "string"
},
"offlineAccount": {
"username": "string",
"password": "string",
"status": "One among: DEPOT_UNKNOWN_HOST, DEPOT_NOT_AVAILABLE, DEPOT_USER_NOT_SET, DEPOT_INVALID_CREDENTIAL, UNKNOWN_FAILURE, DEPOT_CONNECTION_SUCCESSFUL",
"message": "string",
"downloadToken": "string",
"downloadActivationCode": "string"
},
"depotConfiguration": {
"isOfflineDepot": false,
"hostname": "string",
"port": 0,
"url": "string",
"trustedCertificates": [
"string"
]
}
}
VMware Depot Account Information
VMware Depot Account Information
Depot Configuration
Bad Request
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Internal Server Error
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v1/system/settings/depot